Bug 11717 - Can not mount /dev/fd0 on /mnt/floppy
Summary: Can not mount /dev/fd0 on /mnt/floppy
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dev   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
: 11718 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-28 18:16 UTC by Vahik Manookian
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-30 15:27:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vahik Manookian 2000-05-28 18:16:07 UTC
Hi there,

After Installing Red hat 6.2 (this is my first linux product),
I can not use my floppy disk.
When I trying to use the floppy I get the follwoing error
(either using the floppy icon or using the command line via an xterm)
===
> mount /dev/fd0 /mnt/floppy/
mount: the kernel does not recognize /dev/fd0 as a block device
       (maybe `insmod driver'?)
===
I have upgrade the kernel from 2.2.14-5.0 to 2.2.14-12, but the
problem did not go away, I have also updated the kernel for some
bug fixes for 2.2.14-12 but the problem still exsists.

Could you please help me?

Note that my floppy drive is Panasonic Super Disk (LS120) 120MB.
I have no problem using the drive in win98.
I also want to convert the FAT32 formatted floppies into EXT2FS.

Comment 1 Vahik Manookian 2000-05-28 18:24:59 UTC
*** Bug 11718 has been marked as a duplicate of this bug. ***

Comment 2 Vahik Manookian 2000-05-28 21:21:59 UTC
I have done lots of searching for this problem and I have executed
all the suggested solutions but none of them works and I always get
the same error. Here is a list of the commands that I have ran:
> mount /mnt/floppy
> mount -t vfat /dev/fd0 /mnt/floppy
> mount -t msdos /dev/fd0 /mnt/floppy
> mount /dev/fd1 /mnt/floppy (including -t for vfat and msdos)
> mount /dev/fd0H1440 /mnt/floppy (including -t for vfat and msdos)
> mount /dev/fd0h1200 /mnt/floppy (including -t for vfat and msdos)

I have no problem using the CD.
My /etc/fstab is:
===
/dev/hda5               /                       ext2    defaults        1 1
/dev/hda2               /boot                   ext2    defaults        1 2
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/hda6               swap                    swap    defaults        0 0
===
listing /dev/fd0 gives
> ll /dev | grep fd0
brw-rw----    1 vahik    floppy     2,   0 May  5  1998 fd0

One last information I can provide is that in dos, win98 detects a 5&1/2"
floppy drive, I don't know how much this is related, but I want to give
any information I can.

Comment 3 Nalin Dahyabhai 2000-05-30 15:27:59 UTC
Is your floppy drive actually being detected as one?  Because many of them are
actually ATAPI devices and not "real" floppy drives, LS-120 drives often show
up as removable hard drives, which would make the device name "/dev/hdb" or
something similar.  Check the /var/log/dmesg file for a line like this one:

hdb: LS-120

If you see something like this, then you're attempting to mount the wrong
device, and you should only need to fix the fstab entry to reflect that.

Comment 4 Nalin Dahyabhai 2000-07-10 21:26:50 UTC
(Closed due to inactivity.)


Note You need to log in before you can comment on or make changes to this bug.